%define upstream_name    Test-Data-Split
%define upstream_version 0.2.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Hash backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::All)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late) >= 0.10.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module splits a set of data with IDs and arbitrary values into one
test file per (key+value) for easy parallelisation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.2-3.mga10
+ Revision: 2209980
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.2.2-2.mga9
+ Revision: 1821414
- Mageia 9 Mass Rebuild

* Sun Oct 18 2020 tv <tv> 0.2.2-1.mga8
+ Revision: 1636763
- update to 0.2.2

* Wed Feb 12 2020 umeabot <umeabot> 0.2.1-3.mga8
+ Revision: 1506238
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1286420
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1197672
- update to 0.2.1

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-2.mga6
+ Revision: 1034253
- Rebuild for perl 5.22.2

* Fri Apr 22 2016 shlomif <shlomif> 0.2.0-1.mga6
+ Revision: 1005356
- New version 0.2.0

* Mon Jan 04 2016 shlomif <shlomif> 0.0.4-1.mga6
+ Revision: 919622
- New version 0.0.4

* Tue Jun 23 2015 shlomif <shlomif> 0.0.2-1.mga6
+ Revision: 841421
- imported package perl-Test-Data-Split


* Tue Jun 23 2015 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
